/* ojnk */

#include <stdio.h>
#include <unistd.h>
#include <sys/types.h>
#include <errno.h>
#include <string.h>
#include <limits.h>
#include <grp.h>

char is_ingroup(gid_t gid) {
	gid_t list[NGROUPS_MAX];
	int i, ngroups;

	ngroups = getgroups(NGROUPS_MAX, list);

	if (ngroups == -1) {
		printf("Error: getgroups: %s\n", strerror(errno));
		return (0);
	}

	for (i = 0 ; i < ngroups ; i++) {
		if (list[i] == gid)
			return (1);
	}

	return (0);
}
